variable "namespace" {
  type = string

  description = "Kubernetes namespace in which the secret should be created."
}

variable "users" {
  type = map(any)

  description = "Mapping of users and their passwords. A random password can be generated by using the `true` value instead."
}

variable "secret_name" {
  type    = string
  default = null

  description = "Name of the secret that will contain the credentials."
}
